<?php
/*=========================================================================================
    App Name  : PPID PTUN Kupang
    File Name : PermissionSeeder
    --------------------------------------------------------------------------------------
    Author    : Fuad Auliya Rohman
    Email     : fuad.dev16@gmail.com
==========================================================================================*/

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Spatie\Permission\Models\Permission;

class PermissionSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $permissions = [
            ['name' => 'notification_read', 'guard_name' => 'web', 'created_at' => now()],
            ['name' => 'lihat_superadmin', 'guard_name'  => 'web', 'created_at' => now()],
            ['name' => 'tambah_superadmin', 'guard_name' => 'web', 'created_at' => now()],
            ['name' => 'edit_superadmin', 'guard_name'   => 'web', 'created_at' => now()],
            ['name' => 'hapus_superadmin', 'guard_name'  => 'web', 'created_at' => now()],

            ['name' => 'lihat_ketua_wakil', 'guard_name'       => 'web', 'created_at' => now()],
            ['name' => 'tambah_ketua_wakil', 'guard_name'      => 'web', 'created_at' => now()],
            ['name' => 'edit_ketua_wakil', 'guard_name'        => 'web', 'created_at' => now()],
            ['name' => 'hapus_ketua_wakil', 'guard_name'       => 'web', 'created_at' => now()],

            ['name' => 'lihat_panitera', 'guard_name'       => 'web', 'created_at' => now()],
            ['name' => 'tambah_panitera', 'guard_name'      => 'web', 'created_at' => now()],
            ['name' => 'edit_panitera', 'guard_name'        => 'web', 'created_at' => now()],
            ['name' => 'hapus_panitera', 'guard_name'       => 'web', 'created_at' => now()],

            ['name' => 'lihat_panmud_perkara', 'guard_name'       => 'web', 'created_at' => now()],
            ['name' => 'tambah_panmud_perkara', 'guard_name'      => 'web', 'created_at' => now()],
            ['name' => 'edit_panmud_perkara', 'guard_name'        => 'web', 'created_at' => now()],
            ['name' => 'hapus_panmud_perkara', 'guard_name'       => 'web', 'created_at' => now()],

            ['name' => 'lihat_panmud_hukum', 'guard_name'       => 'web', 'created_at' => now()],
            ['name' => 'tambah_panmud_hukum', 'guard_name'      => 'web', 'created_at' => now()],
            ['name' => 'edit_panmud_hukum', 'guard_name'        => 'web', 'created_at' => now()],
            ['name' => 'hapus_panmud_hukum', 'guard_name'       => 'web', 'created_at' => now()],

            ['name' => 'lihat_user', 'guard_name'       => 'web', 'created_at' => now()],
            ['name' => 'tambah_user', 'guard_name'      => 'web', 'created_at' => now()],
            ['name' => 'edit_user', 'guard_name'        => 'web', 'created_at' => now()],
            ['name' => 'hapus_user', 'guard_name'       => 'web', 'created_at' => now()],
        ];

        Permission::insert($permissions);
    }
}
